import pygame

#translate from "ingame" coords to "real" coords
def to_real_coords((x,y)):
    #ingame has 40 16px tiles in width. 0-39
    #ingame has 20 24px tiles in height. 0-10
    #real has 640 x 480 px
    #real counts from top. ingame counts from bottom
    return (x*16, 480-y*24)


class Grid:
    def __init__(self):
        pass

    def draw(self, surface):
        for x in range(40):
            for y in range(20):
                pygame.draw.circle(surface, 0, 
                                   to_real_coords((x, y)), \
                                   2, 1) 
